Uninstall Flow on all wikis where it has zero topics
Closed, ResolvedPublic

Description

Based on the comment about uninstalling Flow from Commons (T186463) by @DannyH, Flow is a ticking bomb of technical debt on every wiki where it's installed. Flow allegedly puts the wikis into an irreversible state whereupon it becomes impossible for the Wikimedia Foundation to handle its leftovers.

If the mere presence of Flow can unwittingly produce an unintended and irreversible decision on a wiki, limiting the ability of the Wikimedia Foundation and the project themselves to consciously decide how to manage a wiki, it becomes imperative to uninstall Flow on all the wikis where this deadlock has not yet been created.

If I understand correctly, Danny's concern is raised merely with the existence of a page in the "Topic" namespace, not as much with any related log entries.

Nemo_bis created this task.Mar 3 2018, 7:02 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 3 2018, 7:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nemo_bis triaged this task as High priority.Mar 3 2018, 7:02 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMar 3 2018, 7:02 AM
Nemo_bis added a comment.EditedMar 3 2018, 7:20 AM

The (public) wikis where at least one Flow topic exists are:

for db in $( echo "select dbname from wiki" | sql meta ); do echo $db ; echo "select count(page_id) from page where page_namespace=2600" | sql $db ; done
[...]

1	dewikiversity
1	orwiki
1	tswiki
101	bswiki
1134	sewikimedia
1194	nowiki
12045	zhwiki
12208	ptwikibooks
1326	ptwiki
1372	idwiki
14	fiwikimedia
1416	plwiki
145	fiwiki
1506	fawiki
158	gomwiki
159	ruwiki
162	cawikiquote
18	commonswiki
20	cswiki
20084	frwiki
2025	hewiki
23	outreachwiki
3	eowiki
3	pawiki
3	wawiki
31468	test2wiki
34	kabwiki
39	wawiktionary
401	lvwiki
41	specieswiki
46735	mediawikiwiki
4869	arwiki
5	arwikiversity
5	urwikibooks
515	testwiki
52	frwikiquote
5208	cawiki
69	frwikivoyage
70	svwiki
7085	wikidatawiki
733	urwiki
8	tewiki
80	frwikiversity
819	frwikisource
9	frwiktionary
9	kkwiki
984	elwiki
Alsee added a subscriber: Alsee.Mar 3 2018, 7:41 AM

Change 416217 had a related patch set uploaded (by Nemo bis; owner: Federico Leva):
[operations/mediawiki-config@master] Switch public wikis to explicit Flow usage definition

https://gerrit.wikimedia.org/r/416217

Krenair added a subscriber: Krenair.Mar 3 2018, 2:50 PM
Alsee awarded a token.Mar 3 2018, 11:50 PM
Nemo_bis updated the task description. (Show Details)Mar 4 2018, 9:10 AM
Rxy awarded a token.Mar 4 2018, 9:24 AM
DannyH added a comment.Mar 8 2018, 4:58 PM

I talked to Roan and Kaldari about this ticket. This won't have any visible impact, but the code's already written and there's no reason to block it. We'll do code review and then deploy it.

Jayprakash12345 lowered the priority of this task from High to Normal.Mar 16 2018, 5:19 PM

Scheduled for Monday March 19 at 18:00-19:00 UTC.

Change 416217 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch public wikis to explicit Flow usage definition

https://gerrit.wikimedia.org/r/416217

Mentioned in SAL (#wikimedia-operations) [2018-03-19T18:27:30Z] <catrope@tin> Synchronized dblists/: Uninstall Flow from wikis where it was never used (T188812) (duration: 00m 57s)

Catrope closed this task as Resolved.Mar 19 2018, 6:27 PM
Catrope claimed this task.
RandomDSdevel rescinded a token.